QasimWani/LeetHub 软件分析报告

基础信息

项目名称:QasimWani/LeetHub

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1758152984659972096/1758152984697720832

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
lodash 拒绝服务漏洞 拒绝服务 MPS-2021-2574 CVE-2020-28500 中危
lodash 命令注入漏洞 代码注入 MPS-2021-2638 CVE-2021-23337 高危
Ruy Adorno hosted-git-info 正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-3400 CVE-2021-23362 中危
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
npm path-parse 安全漏洞 拒绝服务 MPS-2021-6165 CVE-2021-23343 高危
glob-parent 拒绝服务 MPS-2021-7827 CVE-2020-28469 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
Tauri 原型污染漏洞 原型污染 MPS-2022-65568 CVE-2022-46175 高危
word-wrap 安全漏洞 ReDoS MPS-2023-5109 CVE-2023-26115 高危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
minimatch 3.0.4 3.0.5 间接依赖 建议修复
json5 1.0.1 1.0.2 间接依赖 建议修复
path-parse 1.0.6 1.0.7 间接依赖 建议修复
word-wrap 1.2.3 1.2.4 间接依赖 建议修复
glob-parent 5.1.1 5.1.2 间接依赖 建议修复
hosted-git-info 2.8.8 2.8.9 间接依赖 建议修复
minimist 1.2.5 1.2.6 间接依赖 建议修复
semver 7.3.4 7.5.2 间接依赖 可选修复
lodash 4.17.20 4.17.21 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 159
Apache-2.0 8
ISC 19
BSD-3-Clause 3
BSD-2-Clause 9
MPL-2.0 1
ODC-By-1.0 1
0BSD 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
string.prototype.matchall 4.0.3 间接依赖 npm
ms 2.1.2 间接依赖 npm
word-wrap 1.2.3 间接依赖 npm
prelude-ls 1.2.1 间接依赖 npm
get-intrinsic 1.0.1 间接依赖 npm
spdx-correct 3.1.1 间接依赖 npm
side-channel 1.0.3 间接依赖 npm
lodash 4.17.20 间接依赖 npm
eslint-config-airbnb-base 14.2.1 间接依赖 npm
graceful-fs 4.2.4 间接依赖 npm
ast-types-flow 0.0.7 间接依赖 npm
signal-exit 3.0.3 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
regenerator-runtime 0.13.7 间接依赖 npm
esquery 1.3.1 间接依赖 npm
react-is 16.13.1 间接依赖 npm
punycode 2.1.1 间接依赖 npm
slice-ansi 2.1.0 间接依赖 npm
which 2.0.2 间接依赖 npm
external-editor 3.1.0 间接依赖 npm
callsites 3.1.0 间接依赖 npm
@babel/highlight 7.10.4 间接依赖 npm
text-table 0.2.0 间接依赖 npm
type-fest 0.8.1 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
string.prototype.trimend 1.0.3 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
eslint-plugin-import 2.22.1 直接依赖 npm
deep-is 0.1.3 间接依赖 npm
functional-red-black-tree 1.0.1 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
pkg-dir 2.0.0 间接依赖 npm
normalize-package-data 2.5.0 间接依赖 npm
yallist 4.0.0 间接依赖 npm
eslint-import-resolver-node 0.3.4 间接依赖 npm
prop-types 15.7.2 间接依赖 npm
spdx-expression-parse 3.0.1 间接依赖 npm
@babel/code-frame 7.10.4 间接依赖 npm
through 2.3.8 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
espree 7.3.0 间接依赖 npm
cli-cursor 3.1.0 间接依赖 npm
locate-path 2.0.0 间接依赖 npm
eslint-utils 2.1.0 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
damerau-levenshtein 1.0.6 间接依赖 npm
prettier 2.2.1 直接依赖 npm
globals 12.4.0 间接依赖 npm
read-pkg-up 2.0.0 间接依赖 npm
inherits 2.0.4 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
object.fromentries 2.0.3 间接依赖 npm
astral-regex 1.0.0 间接依赖 npm
load-json-file 2.0.0 间接依赖 npm
es-abstract 1.18.0-next.1 间接依赖 npm
path-parse 1.0.6 间接依赖 npm
strip-ansi 6.0.0 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
es-to-primitive 1.2.1 间接依赖 npm
json5 1.0.1 间接依赖 npm
call-bind 1.0.0 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
object-inspect 1.9.0 间接依赖 npm
argparse 1.0.10 间接依赖 npm
is-regex 1.1.1 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
@babel/helper-validator-identifier 7.10.4 间接依赖 npm
core-js-pure 3.8.0 间接依赖 npm
get-stdin 6.0.0 间接依赖 npm
supports-color 5.5.0 间接依赖 npm
has 1.0.3 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
path-type 2.0.0 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
eslint-config-prettier 6.15.0 直接依赖 npm
inquirer 7.3.3 间接依赖 npm
eslint-scope 5.1.1 间接依赖 npm
loose-envify 1.4.0 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
p-limit 1.3.0 间接依赖 npm
array-includes 3.1.2 间接依赖 npm
eslint-config-airbnb 18.2.1 直接依赖 npm
flat-cache 2.0.1 间接依赖 npm
regexpp 3.1.0 间接依赖 npm
table 5.4.6 间接依赖 npm
read-pkg 2.0.0 间接依赖 npm
esutils 2.0.3 间接依赖 npm
jsx-ast-utils 3.1.0 间接依赖 npm
color-name 1.1.3 间接依赖 npm
array.prototype.flat 1.2.4 间接依赖 npm
string-width 4.2.0 间接依赖 npm
internal-slot 1.0.2 间接依赖 npm
is-negative-zero 2.0.0 间接依赖 npm
mkdirp 0.5.5 间接依赖 npm
file-entry-cache 5.0.1 间接依赖 npm
axobject-query 2.2.0 间接依赖 npm
cli-width 3.0.0 间接依赖 npm
type-check 0.4.0 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
import-fresh 3.2.2 间接依赖 npm
acorn-jsx 5.3.1 间接依赖 npm
is-callable 1.2.2 间接依赖 npm
strip-bom 3.0.0 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
path-exists 3.0.0 间接依赖 npm
ajv 6.12.6 间接依赖 npm
chalk 4.1.0 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
flatted 2.0.2 间接依赖 npm
isarray 1.0.0 直接依赖 npm
js-tokens 4.0.0 间接依赖 npm
string.prototype.trimstart 1.0.3 间接依赖 npm
run-async 2.4.1 间接依赖 npm
axe-core 4.1.1 间接依赖 npm
pify 2.3.0 间接依赖 npm
eslint 7.2.0 直接依赖 npm
eslint-plugin-prettier 3.1.4 直接依赖 npm
object-assign 4.1.1 间接依赖 npm
tsconfig-paths 3.9.0 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
regexp.prototype.flags 1.3.0 间接依赖 npm
prettier-linter-helpers 1.0.0 间接依赖 npm
ignore 4.0.6 间接依赖 npm
@babel/runtime 7.12.5 间接依赖 npm
js-yaml 3.14.0 间接依赖 npm
eslint-plugin-react 7.21.5 直接依赖 npm
restore-cursor 3.1.0 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
contains-path 0.1.0 间接依赖 npm
fast-diff 1.2.0 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
path-key 3.1.1 间接依赖 npm
language-subtag-registry 0.3.21 间接依赖 npm
ansi-escapes 4.3.1 间接依赖 npm
v8-compile-cache 2.2.0 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
@types/json5 0.0.29 间接依赖 npm
p-locate 2.0.0 间接依赖 npm
progress 2.0.3 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
is-symbol 1.0.3 间接依赖 npm
is-date-object 1.0.2 间接依赖 npm
parse-json 2.2.0 间接依赖 npm
acorn 7.4.1 间接依赖 npm
eslint-module-utils 2.6.0 间接依赖 npm
glob-parent 5.1.1 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
glob 7.1.6 间接依赖 npm
find-up 2.1.0 间接依赖 npm
figures 3.2.0 间接依赖 npm
optionator 0.9.1 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
is-string 1.0.5 间接依赖 npm
rxjs 6.6.3 间接依赖 npm
eslint-plugin-jsx-a11y 6.4.1 直接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
is-core-module 2.2.0 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
resolve 1.19.0 间接依赖 npm
tmp 0.0.33 间接依赖 npm
tslib 1.14.1 间接依赖 npm
eslint-plugin-react-hooks 4.0.0 直接依赖 npm
esprima 4.0.1 间接依赖 npm
ansi-regex 5.0.0 间接依赖 npm
levn 0.4.1 间接依赖 npm
rimraf 2.6.3 间接依赖 npm
semver 7.3.4 间接依赖 npm
object.values 1.1.2 间接依赖 npm
chardet 0.7.0 间接依赖 npm
is-glob 4.0.1 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
language-tags 1.0.5 间接依赖 npm
confusing-browser-globals 1.0.10 间接依赖 npm
once 1.4.0 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
isexe 2.0.0 间接依赖 npm
onetime 5.1.2 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
array.prototype.flatmap 1.2.4 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
object.assign 4.1.2 间接依赖 npm
minimist 1.2.5 间接依赖 npm
hosted-git-info 2.8.8 间接依赖 npm
eslint-visitor-keys 1.3.0 间接依赖 npm
write 1.0.3 间接依赖 npm
debug 4.3.1 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
@babel/runtime-corejs3 7.12.5 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
object.entries 1.1.3 间接依赖 npm
mute-stream 0.0.8 间接依赖 npm
uri-js 4.4.0 间接依赖 npm
has-symbols 1.0.1 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
inflight 1.0.6 间接依赖 npm
aria-query 4.2.2 间接依赖 npm
(0)
上一篇 2024年2月15日
下一篇 2024年2月15日

相关推荐

  • 99x/serverless-dynamodb-local 软件分析报告

    基础信息 项目名称:99x/serverless-dynamodb-local 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720486455519784960/1720486455628836864 此报告由…

    软件分析 2023年11月4日
    0
  • duanhong169/DrawableToolbox 软件分析报告

    基础信息 项目名称:duanhong169/DrawableToolbox 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717333547995152384/1717333548469108736 此报告由Mu…

    软件分析 2023年10月26日
    0
  • babel/babel 软件分析报告

    基础信息 项目名称:babel/babel 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716204946428919808/1716204951323672576 此报告由Murphysec提供 漏洞列表 暂…

    软件分析 2023年10月23日
    0
  • evidentlyai/evidently 软件分析报告

    基础信息 项目名称:evidentlyai/evidently 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721174519665725440/1746773649592979456 此报告由Murphyse…

    软件分析 2024年1月15日
    0
  • didi/booster 软件分析报告

    基础信息 项目名称:didi/booster 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717147028404436992/1717147035845132288 此报告由Murphysec提供 漏洞列表 …

    软件分析 2023年10月25日
    0